#uses "unVacuum/UnVacData"  // Load CTRL DLL

bool UnVacInit(string sProgressBarName = "", dyn_string &exceptionInfo) {
//  UnVacReset();
  shape progressBarShape;
  if(sProgressBarName != "") {
    progressBarShape = getShape(sProgressBarName);
  }
  int coco = UnVacEqpInitPassive(DATA_PATH, exceptionInfo);
//  DebugTN("UnVacEqpInitPassive() returned " + coco, exceptionInfo);
  if(dynlen(exceptionInfo) > 0) {
    return false;
  }
  if(sProgressBarName != ""){
    progressBarShape.value = 30;
  }
  coco = UnVacEqpInitActive(DATA_PATH, exceptionInfo);
//  DebugTN("UnVacEqpInitActive() returned " + coco, exceptionInfo);
  if(dynlen(exceptionInfo) > 0) {
    return false;
  }
  if(sProgressBarName != ""){
    progressBarShape.value = 80;
  }
  return true;
}
