
dyn_string dsDpTypes = makeDynString("CPC_VG_PT",
                                     "CPC_VP_I",
                                     "CPC_VP_TP",
                                     "CPC_VR_GT",
                                     "CPC_VV_S",
                                     "CPC_VR_AH");

void main() {
  
  for(int iDptIdx = dynlen(dsDpTypes) ; iDptIdx > 0 ; iDptIdx--) {
    dyn_string dsDpNames = dpNames("*", dsDpTypes[iDptIdx]);
    for(int iDpIdx = dynlen(dsDpNames) ; iDpIdx > 0 ; iDpIdx--) {
      string sDpeName = dsDpNames[iDpIdx] + ".ProcessInput.StsReg01";
      if(dpExists(sDpeName)) {
        dpConnect("StsReg01Cb", sDpeName, sDpeName + ":_online.._invalid");
      }
      sDpeName = dsDpNames[iDpIdx] + ".ProcessInput.StsReg02";
      if(dpExists(sDpeName)) {
        dpConnect("StsReg02Cb", sDpeName, sDpeName + ":_online.._invalid");
      }
      sDpeName = dsDpNames[iDpIdx] + ".ProcessInput.StsReg03";
      if(dpExists(sDpeName)) {
        dpConnect("StsReg03Cb", sDpeName, sDpeName + ":_online.._invalid");
      }
    }
  }
}

void StsReg01Cb(string sDpe1, unsigned uValue, string sDpe2, bool bValue) {
  string sDpName = dpSubStr(sDpe1, DPSUB_DP);
  dpSet(sDpName + ".ProcessInput.evStsReg01", uValue,
        sDpName + ".ProcessInput.evStsReg01:_original.._exp_inv", bValue);
}

void StsReg02Cb(string sDpe1, unsigned uValue, string sDpe2, bool bValue) {
  string sDpName = dpSubStr(sDpe1, DPSUB_DP);
  dpSet(sDpName + ".ProcessInput.evStsReg02", uValue,
        sDpName + ".ProcessInput.evStsReg02:_original.._exp_inv", bValue);
}

void StsReg03Cb(string sDpe1, unsigned uValue, string sDpe2, bool bValue) {
  string sDpName = dpSubStr(sDpe1, DPSUB_DP);
  dpSet(sDpName + ".ProcessInput.evStsReg03", uValue,
        sDpName + ".ProcessInput.evStsReg03:_original.._exp_inv", bValue);
}
